Responses
OpenAI-compatible Responses API.
POST https://api.solcardinference.ai/v1/responsesRequest and response follow the OpenAI Responses format. Responses are stateless: nothing is stored, so send the full conversation each time.
| Field | Type | Notes |
|---|---|---|
model |
string |
Required. A model ID. |
input |
string | array |
Required. A string, or message, function_call and function_call_output items with text content. |
instructions |
string |
|
stream |
boolean |
|
max_output_tokens |
integer |
Up to 32,768. |
temperature |
number |
|
top_p |
number |
|
tools |
array |
Function tools only. |
tool_choice |
string | object |
|
parallel_tool_calls |
boolean |
|
reasoning |
object |
Default { "effort": "none" }. See reasoning. |
text |
object |
Output format, e.g. { "format": { "type": "json_schema", ... } }. |
truncation |
string |
|
user |
string |
Not supported: previous_response_id and store: true (400 unsupported_parameter), non-function tools, and non-text content.
Example request
Section titled “Example request”curl https://api.solcardinference.ai/v1/responses \ -H "Authorization: Bearer $SOLCARD_INFERENCE_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "flash", "input": "Hi" }'